<template>
    <div class="rightContent">
        <div class="top">
            <SearchCommonView
                :showAdd="false"
                :add-title="'新建'"
                :placeholder="'请输入产品名称或产品类别'"
                :amount-view="false"
                @searchClick="getList"
                :isDisabled="true"
                :showDownload="true"
                @downloadClick="downHttpClick"
            />
        </div>
    </div>
</template>

<script>
import { downloadInventoryForms } from "@/api/downFile"
import FileSaver from 'file-saver'
import _ from 'lodash'
export default {
    name: 'zhuangkouReport',
    data() {
        return {
            
        }
    },
    created() {
        
    },
    methods: {
        // 下载
    downHttpClick: _.debounce(function(){
        downloadInventoryForms({
            page: this.pagerOptions.currPage,
            pageSize: this.pagerOptions.pageSize,
            keyword:this.keyword,
        }).then(res => {
            if (res) {
            FileSaver.saveAs(res, '库存报表.xlsx');
            this.$message.success("下载成功！");
            }
        })
        }, 1000),
    },
}
</script>

<style lang="scss" scoped>

</style>